summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-01 12:48:37 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-01 12:48:37 +0000
commit141b32d48737b18366c08fb37ac491c4dd74e1ce (patch)
treedd3a7d4a3c71720966111c730843471cf78edc3b /dev-python
parentc9b2fb93a56edf7778b6bbe1ba998ee0b328ae83 (diff)
downloadbaldeagleos-repo-141b32d48737b18366c08fb37ac491c4dd74e1ce.tar.gz
baldeagleos-repo-141b32d48737b18366c08fb37ac491c4dd74e1ce.tar.xz
baldeagleos-repo-141b32d48737b18366c08fb37ac491c4dd74e1ce.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aws-xray-sdk-python/Manifest1
-rw-r--r--dev-python/aws-xray-sdk-python/aws-xray-sdk-python-2.10.0.ebuild79
-rw-r--r--dev-python/boltons/boltons-21.0.0-r1.ebuild2
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.24.21.ebuild68
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.27.21.ebuild66
-rw-r--r--dev-python/cffi/Manifest1
-rw-r--r--dev-python/cffi/cffi-1.15.1.ebuild65
-rw-r--r--dev-python/furo/furo-2022.6.21.ebuild2
-rw-r--r--dev-python/nbclient/Manifest1
-rw-r--r--dev-python/nbclient/nbclient-0.6.5.ebuild46
-rw-r--r--dev-python/pikepdf/pikepdf-5.2.0-r1.ebuild (renamed from dev-python/pikepdf/pikepdf-5.2.0.ebuild)1
-rw-r--r--dev-python/sphinx-basic-ng/sphinx-basic-ng-0.0.1_alpha11.ebuild2
-rw-r--r--dev-python/stripe/Manifest1
-rw-r--r--dev-python/stripe/stripe-3.5.0.ebuild71
-rw-r--r--dev-python/ubelt/Manifest1
-rw-r--r--dev-python/ubelt/ubelt-1.1.2.ebuild40
18 files changed, 446 insertions, 3 deletions
diff --git a/dev-python/aws-xray-sdk-python/Manifest b/dev-python/aws-xray-sdk-python/Manifest
index d278745eebbf..1833c1b493af 100644
--- a/dev-python/aws-xray-sdk-python/Manifest
+++ b/dev-python/aws-xray-sdk-python/Manifest
@@ -1 +1,2 @@
+DIST aws-xray-sdk-python-2.10.0.gh.tar.gz 270819 BLAKE2B caed5f5b92bdc25e0006663838549c9e9a85474829cce03f612ef4b9a36fce38460606e000c65bb140f7250225426bece2e8bc624a430bdfdcd4fc8808842aac SHA512 f5b4d08f5876cab2e833a763b1da52b6de1e3ca2c746b234a1b013f674155ec31686a6710225e411458f27ca096f68ee6413c8d1c360d5a326f1be94287d09b7
DIST aws-xray-sdk-python-2.8.0.gh.tar.gz 267880 BLAKE2B 7a433a0b1b3ca38a100f3b23c79e9b0d7f84cb096f6d30832fdf16f171f9528aee8b81aaf3ba263a90d46f791de8b2f37a919651f9699e5fcf3073db83fc25b4 SHA512 e0fb3fb0bfbd963863714537ea12771df7ffa2857aaf4cdb6414d71ecdfc65c2623fa40a6a48c4eab30f4370d545a595db2762932133a6eba56121a4048502fb
diff --git a/dev-python/aws-xray-sdk-python/aws-xray-sdk-python-2.10.0.ebuild b/dev-python/aws-xray-sdk-python/aws-xray-sdk-python-2.10.0.ebuild
new file mode 100644
index 000000000000..a61842ec0e08
--- /dev/null
+++ b/dev-python/aws-xray-sdk-python/aws-xray-sdk-python-2.10.0.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="AWS X-Ray SDK for Python"
+HOMEPAGE="
+ https://github.com/aws/aws-xray-sdk-python/
+ https://pypi.org/project/aws-xray-sdk/
+"
+SRC_URI="
+ https://github.com/aws/aws-xray-sdk-python/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-1.12.122[${PYTHON_USEDEP}]
+ dev-python/wrapt[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/bottle[${PYTHON_USEDEP}]
+ dev-python/flask-sqlalchemy[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ >=dev-python/sqlalchemy-1.4[${PYTHON_USEDEP}]
+ dev-python/webtest[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.8.0-fix-py3.10-loops.patch"
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x DJANGO_SETTINGS_MODULE=tests.ext.django.app.settings
+ local -x AWS_SECRET_ACCESS_KEY=fake_key
+ local -x AWS_ACCESS_KEY_ID=fake_id
+
+ local EPYTEST_DESELECT=(
+ # Internet access
+ tests/test_patcher.py::test_external_file
+ tests/test_patcher.py::test_external_module
+ tests/test_patcher.py::test_external_submodules_full
+ tests/test_patcher.py::test_external_submodules_ignores_file
+ tests/test_patcher.py::test_external_submodules_ignores_module
+ # benchmark
+ tests/test_local_sampling_benchmark.py
+ )
+ local EPYTEST_IGNORE=(
+ # unpackaged deps
+ tests/ext/aiobotocore
+ tests/ext/pg8000
+ tests/ext/psycopg2
+ tests/ext/pymysql
+ tests/ext/pynamodb
+ tests/ext/sqlalchemy_core/test_postgres.py
+ tests/ext/django/test_db.py
+ # Internet access
+ tests/ext/httplib
+ tests/ext/requests
+ # requires old package vesions
+ tests/ext/django
+ tests/ext/aiohttp
+ )
+
+ epytest -p no:django
+}
diff --git a/dev-python/boltons/boltons-21.0.0-r1.ebuild b/dev-python/boltons/boltons-21.0.0-r1.ebuild
index ca82ddd51409..b17cd4d4e744 100644
--- a/dev-python/boltons/boltons-21.0.0-r1.ebuild
+++ b/dev-python/boltons/boltons-21.0.0-r1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/mahmoud/boltons/archive/${PV}.tar.gz -> ${P}.gh.tar.
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~riscv ~s390 ~x86"
distutils_enable_tests pytest
distutils_enable_sphinx docs \
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 2279e812fa5f..5e2e320e18e8 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,4 @@
DIST boto3-1.24.12.gh.tar.gz 509573 BLAKE2B 5c9978cac1cbce0521dee6f2164652c4fca82b0bf20276e3f4e75960e0877ec0545ca50884daedde115bba117bea424da2ad2fe63e845a32a6f832a3ab5a5841 SHA512 dec940a6e97c51089933a66994b14882f31f2ed7959f966e1f9cd2e6a4a1bb40cc2c01d509ce7346ac345df30d0f164213034c0de97daf3053ba4ea51e5f7495
DIST boto3-1.24.17.gh.tar.gz 511281 BLAKE2B 577efc0ebfb39957e55bcaf7aa678cdf072eed885ab1055b15fc8ca2295fedd6d56fd2fb919913beedcdd335ff26e452bc5434283c9ca9d8f0135080e2aa1312 SHA512 a843146951eb2a5ad7dd31159d833806ae403014abf3e9a617f6457e3ecec1a0dc4c6ce6a87079c9112513cbd6a2ccd26542e5736eeea6c5723c7e39c660befa
DIST boto3-1.24.20.gh.tar.gz 512415 BLAKE2B c2196a9a518b0e4c0fb6e2382390d7d8e275d834a363856c266f696d57b5d56bf7f6a07df10d44670189098b19e0fcfad2a4907af10cd0d6361a5b2164bd6269 SHA512 cb4e426654895e26867a165304d03a722465441e10bf4dfd76fd7c5b45289785ba83f4f66c45d256a5ef6beb3cf5dfa923ea7479e99361344288ad98350a68a6
+DIST boto3-1.24.21.gh.tar.gz 513083 BLAKE2B 1de0405823b6b33efcb11316a3c400180fa3f9064a63023e2f13d6ae18fb6e60ac229ba11c8eb93901d4a6ca65aa32e9ff576b421ffbb6e75476149e93df4d2e SHA512 4f278cbe0bffd2107354aaa76ef7e725a8ea3fcf1688614203204b495be596405fcb0add790922ab09858d94798bc06076c9160f42ff20b855b8a31859c57bc4
diff --git a/dev-python/boto3/boto3-1.24.21.ebuild b/dev-python/boto3/boto3-1.24.21.ebuild
new file mode 100644
index 000000000000..e4a98e2e28f5
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.21.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index d558d4974c8d..7705241255ae 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,3 +1,4 @@
DIST botocore-1.27.12.tar.gz 9132872 BLAKE2B 74b74b5a5745cfacac066d5e087974fb58be5a600c7cfb2077d243044b8c429b1396d19e6790c0f754e42931085b115f74039b8c93da39593512d28021d6314a SHA512 767defae44ffb3b54b55625fd0f8a20c22a4a5f209a1397b1a27cfc2e36ac9e03cfdd25bc77bebc944613c5744dd7651e1b574674e8a992f219e172eee9210f5
DIST botocore-1.27.17.tar.gz 9130505 BLAKE2B 04c6b37f3b42a0f9fb696b5213338b004418a68c754f5027ad447119fb20556dc49bd53f40fd9560ea3f5bdcf2afbe151dba68e901079baec770f9f223b1a894 SHA512 b1a145d3c97adfd4df40639da99e1c34087508be189d5818ee7176f20454f2897a6f518a14b4bfbf41cb169a17188bec467337c10d0ad511e223f0c1ff5b64ee
DIST botocore-1.27.20.tar.gz 9146126 BLAKE2B 3ec9e6480fb5bc95f72ffa1f0972b7d9e807fce2e69a3118818a7eba5c1023316c9499bdcbc2f6b2616842eb8797ed0b2bef5ebceee5b74a12074b927b339994 SHA512 1ac0b189e14fb25f07c63e4933113ca64c2bdc53fe719270daccc55b2c7d8ba7421fa81aa60e6fc3a0c86cdb3f57980781388586ce154d87f17f860cc943467a
+DIST botocore-1.27.21.tar.gz 9149425 BLAKE2B fa7141f78128ebc4810bf51bcca93a23606ef611721fd1a32ca490a9e38aef86439385bd7a0465e82a853c5bb7596dffb0b17fc5d7015fb5039f4933ab1554f1 SHA512 59bdf83b237e3845f48685919a6330846d2a4d7ce12d15d99cdb8dd9f2d3e0dcc0d1641c52de8d6d9ef7b7202b80bc59070cb1786f1b38c20884e0fa32481432
diff --git a/dev-python/botocore/botocore-1.27.21.ebuild b/dev-python/botocore/botocore-1.27.21.ebuild
new file mode 100644
index 000000000000..1f52e2694e84
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.21.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/cffi/Manifest b/dev-python/cffi/Manifest
index d02ce8a9359e..764da7e5fa57 100644
--- a/dev-python/cffi/Manifest
+++ b/dev-python/cffi/Manifest
@@ -1 +1,2 @@
DIST cffi-1.15.0.tar.gz 484058 BLAKE2B 0d2d470c7eb11b8a9526be816b153c4483a5cfb529d3d220a804842facae1f06e2a822aa2be9abb1b5648cb36a97033bffc1dd235d83bdf8c075d67a907aa7d9 SHA512 ee83efde6f77f4a0c5889088c4c208ed7b9071fe06dfc16a8d2396de07f78fe859e1e39866760198a9d700f3b7359e8715e8a3e4907feb81d3fc4b8dd0dbaca1
+DIST cffi-1.15.1.tar.gz 508501 BLAKE2B accc317385d9af7dbed3397afde63fbab63bfc935376d951802055c63796863ed102a940f192789924480b9b16751c8cf3d21caf9b262c479c61ffc977aac83c SHA512 e99cafcb029076abc29e435b490fa0573ee2856f4051b7ca8a5b38cd125d56dd9dae8b189f59ceb3d728a675da8ee83239e09e19f8b0feeddea4b186ab5173a5
diff --git a/dev-python/cffi/cffi-1.15.1.ebuild b/dev-python/cffi/cffi-1.15.1.ebuild
new file mode 100644
index 000000000000..e1ed2ba6c51b
--- /dev/null
+++ b/dev-python/cffi/cffi-1.15.1.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=setuptools
+# DO NOT ADD pypy to PYTHON_COMPAT
+# pypy bundles a modified version of cffi. Use python_gen_cond_dep instead.
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 toolchain-funcs
+
+DESCRIPTION="Foreign Function Interface for Python calling C code"
+HOMEPAGE="
+ https://cffi.readthedocs.io/
+ https://pypi.org/project/cffi/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+DEPEND="
+ dev-libs/libffi:=
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/pycparser[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ virtual/pkgconfig
+"
+
+distutils_enable_sphinx doc/source
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/cffi-1.14.0-darwin-no-brew.patch
+)
+
+src_prepare() {
+ if [[ ${CHOST} == *darwin* ]] ; then
+ # Don't obsessively try to find libffi
+ sed -i -e "s/.*\-iwithsysroot\/usr\/include\/ffi.*/\tpass/" setup.py || die
+ fi
+ distutils-r1_src_prepare
+}
+
+src_configure() {
+ tc-export PKG_CONFIG
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # these tests call pip
+ testing/cffi0/test_zintegration.py
+ )
+
+ "${EPYTHON}" -c "import _cffi_backend as backend" || die
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest c testing
+}
diff --git a/dev-python/furo/furo-2022.6.21.ebuild b/dev-python/furo/furo-2022.6.21.ebuild
index 4b2d667f0dd5..f6d28e5a6eb5 100644
--- a/dev-python/furo/furo-2022.6.21.ebuild
+++ b/dev-python/furo/furo-2022.6.21.ebuild
@@ -24,7 +24,7 @@ S=${WORKDIR}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~riscv ~s390 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~x86"
RDEPEND="
dev-python/beautifulsoup4[${PYTHON_USEDEP}]
diff --git a/dev-python/nbclient/Manifest b/dev-python/nbclient/Manifest
index 3994a720b465..0c5646226a51 100644
--- a/dev-python/nbclient/Manifest
+++ b/dev-python/nbclient/Manifest
@@ -1,2 +1,3 @@
DIST nbclient-0.6.3.tar.gz 77571 BLAKE2B 41b96f8c174506a97b257b352e2614f023785137bf79d57d9bd4fd38942b54cc9db97bdf63c65579e67f88afd57ff81cbc798880080842e981797ee07be9f441 SHA512 bf267f3f49289cadcce412dc772f01dab5cd4d5a4ceb3fa12b076357d04191a15573d540773d47d58a14570fe219a9591ab539b917b52f3f7a902aac0493ba82
DIST nbclient-0.6.4.gh.tar.gz 78101 BLAKE2B 91a653eb1735fe1a43044f18da773bcb0c4afd485fe7bfd3630c8c6a80776c9ff7e4cb08130c4e3953f03832933c429e68d7383677d8e56c54b485d55b8c5469 SHA512 a953b40b314ce104b28dfb9178a004ca4726d8a5912c84c168bf71527ee224082d3910f11040b172b6e62683493978b9b10161b69cadbca48a5652a4f98b5009
+DIST nbclient-0.6.5.gh.tar.gz 78170 BLAKE2B 690eb6c9b70d43210da013b7f0a2cd7e0ae76bd737dd9860df555c95f91e167c17dc6bbf54a73f98c2cff37d8f69d7246d3a3a6c45a33ce4187c498e6fcb81b1 SHA512 1dabd799c3b0f51c5158c58ebdad6f13662a2970b863a9414731fb7a9c4268ebd83c86fdc11d5de25f2998b6b847bd62d0d227b2bb38440618f583b4fa2d4e87
diff --git a/dev-python/nbclient/nbclient-0.6.5.ebuild b/dev-python/nbclient/nbclient-0.6.5.ebuild
new file mode 100644
index 000000000000..d813ead69722
--- /dev/null
+++ b/dev-python/nbclient/nbclient-0.6.5.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2020-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A client library for executing Jupyter notebooks"
+HOMEPAGE="
+ https://nbclient.readthedocs.io/en/latest/
+ https://github.com/jupyter/nbclient/
+ https://pypi.org/project/nbclient/
+"
+SRC_URI="
+ https://github.com/jupyter/nbclient/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/jupyter_client-6.1.5[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.0[${PYTHON_USEDEP}]
+ dev-python/nest_asyncio[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.2.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/ipywidgets[${PYTHON_USEDEP}]
+ dev-python/testpath[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ 'nbclient/tests/test_client.py::test_run_all_notebooks[Interrupt.ipynb-opts6]'
+)
diff --git a/dev-python/pikepdf/pikepdf-5.2.0.ebuild b/dev-python/pikepdf/pikepdf-5.2.0-r1.ebuild
index 07b53e5bf4b4..1422766e810c 100644
--- a/dev-python/pikepdf/pikepdf-5.2.0.ebuild
+++ b/dev-python/pikepdf/pikepdf-5.2.0-r1.ebuild
@@ -29,6 +29,7 @@ DEPEND="
"
RDEPEND="
${DEPEND}
+ dev-python/deprecation[${PYTHON_USEDEP}]
>=dev-python/lxml-4.0[${PYTHON_USEDEP}]
dev-python/packaging[${PYTHON_USEDEP}]
>=dev-python/pillow-9[${PYTHON_USEDEP}]
diff --git a/dev-python/sphinx-basic-ng/sphinx-basic-ng-0.0.1_alpha11.ebuild b/dev-python/sphinx-basic-ng/sphinx-basic-ng-0.0.1_alpha11.ebuild
index e7caea89d1dc..9ce9daea253d 100644
--- a/dev-python/sphinx-basic-ng/sphinx-basic-ng-0.0.1_alpha11.ebuild
+++ b/dev-python/sphinx-basic-ng/sphinx-basic-ng-0.0.1_alpha11.ebuild
@@ -22,7 +22,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~ia64 ~riscv ~s390 ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/stripe/Manifest b/dev-python/stripe/Manifest
index 62a6f70d9041..6acc57051daf 100644
--- a/dev-python/stripe/Manifest
+++ b/dev-python/stripe/Manifest
@@ -1,3 +1,4 @@
DIST stripe-3.2.0.tar.gz 245873 BLAKE2B c75864cebc4b62c116138bb3b9fcc7b521a7c89c7252bb2ad03520b0904ad701bab27fbe1a0ae500a2782bf737295218180991fe0d5f224038f7bdcfd2596598 SHA512 dbeb846294928fd608d547b8e4aedf188345ce68ce6e9b4c046e86e5a622d96281cf0507db4d1ba5834c68252bda573da7dac725aa1d7cbeb820c65e166f3a1a
DIST stripe-3.3.0.tar.gz 246317 BLAKE2B f734df83509b6c77f865d52b2ec17ac5ac271661478706787616afde1f85cb356f05c2fff63289b3bb180658abab546d39245563f18f4f7a3e8b72a0e578fb34 SHA512 4f00fd9901a5b4d873c4a9a00483f57f4cd9359f8a440b3d783e7aeed250e33400a7405ca8ea5af29fd1b44bc84c65fa59c8121e4ffb4852584ffd3fc2099910
DIST stripe-3.4.0.tar.gz 246528 BLAKE2B 81af648356734400c109d674e1f62f45c3b0540b0ed0bd94e407f5072f5bb996270b4edf12bd00e61bb790ee2c12d3d0fa633287a60e27087e64c15aa421650a SHA512 81a391b2fef02028a5680df2240238bd18cc31f522790ee72fd77c861d2f389be3ead9bc1de261ac7bced3061235ffc25b6baadb69a20a2a53ced75aee0119ba
+DIST stripe-3.5.0.tar.gz 247698 BLAKE2B 8c47b3f4af21934d4dddea2d95831d5d4772c0cf42f8a5d3cff90dbd2dfd51a37c34f92b6df30ddcafbb1ccbde766744ec63fe62881acabbf1437a626ec0ef6c SHA512 67e63f95b489e049d81d9b3929342a8cc2bc3638060d9f278752459d32408bfe8d5f09c4c047a1ed0deedce875b0a84873a3b120f6bb5f30c0668eda5129e4ee
diff --git a/dev-python/stripe/stripe-3.5.0.ebuild b/dev-python/stripe/stripe-3.5.0.ebuild
new file mode 100644
index 000000000000..9d92ad79c9e6
--- /dev/null
+++ b/dev-python/stripe/stripe-3.5.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Stripe python bindings"
+HOMEPAGE="
+ https://github.com/stripe/stripe-python/
+ https://pypi.org/project/stripe/
+"
+SRC_URI="mirror://pypi/s/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.20[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-util/stripe-mock-0.136.0
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ net-misc/curl
+ )
+"
+
+distutils_enable_tests pytest
+
+DOCS=( LONG_DESCRIPTION.rst CHANGELOG.md README.md )
+
+python_test() {
+ epytest tests
+}
+
+src_test() {
+ local stripe_mock_port=12111
+ local stripe_mock_max_port=12121
+ local stripe_mock_logfile="${T}/stripe_mock_${EPYTHON}.log"
+ # Try to start stripe-mock until we find a free port
+ while [[ "${stripe_mock_port}" -le "${stripe_mock_max_port}" ]]; do
+ ebegin "Trying to start stripe-mock on port ${stripe_mock_port}"
+ stripe-mock --http-port ${stripe_mock_port} &> "${stripe_mock_logfile}" &
+ local stripe_mock_pid=$!
+ sleep 2
+ # Did stripe-mock start?
+ curl --fail -u "sk_test_123:" \
+ http://127.0.0.1:${stripe_mock_port}/v1/customers &> /dev/null
+ eend $? "Port ${stripe_mock_port} unavailable"
+ if [[ $? -eq 0 ]]; then
+ einfo "stripe-mock running on port ${stripe_mock_port}"
+ break
+ fi
+ (( stripe_mock_port++ ))
+ done
+ if [[ "${stripe_mock_port}" -gt "${stripe_mock_max_port}" ]]; then
+ eerror "Unable to start stripe-mock for tests"
+ die "Please see the logfile located at: ${stripe_mock_logfile}"
+ fi
+
+ local -x STRIPE_MOCK_PORT=${stripe_mock_port}
+ distutils-r1_src_test
+
+ # Tear down stripe-mock
+ kill "${stripe_mock_pid}" || die "Unable to stop stripe-mock"
+}
diff --git a/dev-python/ubelt/Manifest b/dev-python/ubelt/Manifest
index 045f42a484d4..aa8c13e8ea7d 100644
--- a/dev-python/ubelt/Manifest
+++ b/dev-python/ubelt/Manifest
@@ -1 +1,2 @@
DIST ubelt-1.1.1.gh.tar.gz 263082 BLAKE2B c146cfa7084b1d04d5a16443e5f8bdd4858992c2de1ff68a28c0febc74728da6320f45661cea69f88530a2fb88ca421cfc103f7f9f6ff420cf65152cbd61576d SHA512 d4d77013920563f3b2e5f47365624a4a794d84047eeb2eccaf2888f8d574c38b047393e550399e0d7ea7df373dabd40acce05ac56db4f0099da8f2a39113fc5c
+DIST ubelt-1.1.2.gh.tar.gz 267530 BLAKE2B c00c0b9d548b324090c012a0b1786c7011e9a3ccbdf055e5db39597fe8b695c785f0499a0f089c63c61ea7da76cd6cd802122d0f0e2f77aef4c08568331a6be6 SHA512 e2e77b1736870a010a3256cef2d4071294fdb525c0c6ad8d4665cc85b05148b7381e66f06c2ff74d1ae3588d78daaa71fb8a1907ae1585edb3ff9f2c9fb62b59
diff --git a/dev-python/ubelt/ubelt-1.1.2.ebuild b/dev-python/ubelt/ubelt-1.1.2.ebuild
new file mode 100644
index 000000000000..941b2652076d
--- /dev/null
+++ b/dev-python/ubelt/ubelt-1.1.2.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="A stdlib like feel, and extra batteries. Hashing, Caching, Timing, Progress"
+HOMEPAGE="
+ https://github.com/Erotemic/ubelt/
+ https://pypi.org/project/ubelt/
+"
+SRC_URI="
+ https://github.com/Erotemic/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ >=dev-python/numpy-1.19.2[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ dev-python/xdoctest[${PYTHON_USEDEP}]
+ >=dev-python/xxhash-1.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # relies on passwd home being equal to ${HOME}
+ ubelt/util_path.py::userhome:0
+)